from flask import Flask
from portal.config import CONFIGURATIONS
from flask_sqlalchemy import SQLAlchemy
import os

db = SQLAlchemy()
app = Flask('portal')


def config_app(flask_app):
    """Configures the Flask app based on production stage."""
    config_type = os.environ.get('PORTAL_CONFIG_TYPE', 'devel')  # TODO: meh name
    config_object = CONFIGURATIONS[config_type]
    if config_object is None:
        raise EnvironmentError()  # TODO some custom ex
    flask_app.config.from_object(config_object)
    # app.logger.removeHandler(default_handler) # from Flask release 1.0, not yet available


def create_app():
    # app configuration
    config_app(app)
    # database bind to app
    db.init_app(app)

    return app


import portal.database.models
import portal.rest.user_api
import portal.rest.admin_api
