import os


class Config(object):
    SECRET_KEY = os.environ.get('SECRET_KEY') or 'you-will-never-guess'  # TODO
    LOGGER_NAME = "flask"


class DevelopmentConfig(Config):
    print('configuring with devel config')
    SQLALCHEMY_DATABASE_URI = 'sqlite://'
    SQLALCHEMY_TRACK_MODIFICATIONS = True
    DEBUG = True
    SQLALCHEMY_ECHO = True


class ProductionConfig(Config):
    DEBUG = False


class TestConfig(Config):
    SQLALCHEMY_DATABASE_URI = 'sqlite://'
    SQLALCHEMY_TRACK_MODIFICATIONS = False
    TESTING = True
    SQLALCHEMY_ECHO = True


CONFIGURATIONS = dict(
    devel=DevelopmentConfig(),
    test=TestConfig(),
    production=ProductionConfig()
)

